const UserServices = require("../Services/User.services");
const User = require('../Model/User');
const CaseController = require('../Controllers/Case.controller');
const CaseServices = require("../Services/Case.services");

module.exports.test = async (req, res) => {
    return res.status(200).send({ status: true });
};

module.exports.com_make_pdf = async (req, res) => {
    const CaseResult = await CaseServices.findCase(req.query.id);

    const compositionPDF = await CaseController.makePDF(id, CaseResult.cases);
    CaseResult.compositionPDF = compositionPDF;

    return res.status(200).send({ status: true, CaseResult });
}

module.exports.updateUser = async (req, res) => {

    const us = await User.find({ type: 'CREDITOFFICER', workMobileNo: { $exists: false } });

    const nus = Promise.all(
        us.map((nco, id) => {
            // console.log("h: ", hasCo.length);
            const n = nco.toJSON();
            delete n.branch;
            delete n.organization;
            return UserServices.updateUser({ _id: nco._id }, { workMobileNo: nco.mobileNo });
            return { ...n, workMobileNo: nco.mobileNo }
        })
    ).then((result) => {
        return result
    });

    return res.send({ status: true, us: nus });
}

module.exports.updateCreditOfficers = async (req, res) => {
    const newcos = require("../data/co.json");

    return Promise.all(
        newcos.slice(0, 20).map(async (nco, id) => {
            const hasCo = await UserServices.find({
                type: "CREDITOFFICER",
                "branch._id": nco.branch._id,
                email: nco.email,
                isdeleted: false,
            });
            console.log("h: ", hasCo.length);
        })
    ).then((result) => {
        return result
    });

    // return res.status(200).send({ status: true });
};
