const UserServices = require('../Services/User.services');

module.exports = async (req, res, next) => {
    try {
        // console.log("request user:");
        const id = req.local._id;
        const user = await UserServices.findById(id);
        if (!user.status) return res.status(401).send({ ...user });
        // console.log("attach user",user);
        req.local.user = user.users;
        // console.log("request user:", req.local.user);
        req.local.organization_id = user.users.organization._id;
        next();
    }
    catch (e) {
        console.log(e);
        return res.status(500).send({ status: false, error: 'Internal Server Error!' });
    }

}