
const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const documentListSchema = Schema({
    organization: {
        _id: {
            type: String
            // type: Schema.Types.ObjectId,
            // ref: 'Organization'
        },
        name: {
            type: String
        },
        email: {
            type: String
        },
        shortName: {
            type: String
        },
        address: {
            type: String
        },
        gstNo: {
            type: String
        },
        type: {
            type: String
        },
        ownerName: {
            type: String
        },
        ownerLastName: {
            type: String
        },
        ownerFatherName: {
            type: String
        },
        ownerEmail: {
            type: String
        },
        panNo: {
            type: String
        },
        phone: {
            type: String
        },
        status: {
            type: Boolean,
            default: true
        },
        isdelete: {
            type: Boolean,
            default: false
        },
        city: {
            type: String
        },
        organization: {
            _id: {
                type: String
            },
            name: {
                type: String
            },
            email: {
                type: String
            },
            gstNo: {
                type: String
            }
        }
    },
    document: {
        type: Object
    }

}, { timestamps: true });

module.exports = mongoose.model('DocumentList', documentListSchema);