
const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const savedReportSchema = Schema({
    title: {
        type: String
    },
    description: {
        type: Number
    },
    filters: {},
    fields: {},
    createdBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    updatedBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
}, { timestamps: true });

module.exports = mongoose.model('SavedReport', savedReportSchema);