
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const caseReportLogSchema = Schema({

    caseId: {
        type: String
    },
    reportHtmlString: [{
        _id: false,
        htmlString: {
            type: String
        },
        date: {
            type: String
        }
    }],

}, { timestamps: true });
module.exports = mongoose.model('CaseReportLog', caseReportLogSchema);