const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const holidaySchema = Schema({
    title: {
        type: String
    },
    date: {
        type: String,
    },
    status: {
        type: Boolean
    },
    orgId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },

}, { timestamps: true });


module.exports = mongoose.model('Holiday', holidaySchema);